<template>
  <q-btn
    flat
    stretch
    style="margin-top: -4px" :label="company ? company.name : 'Filiales'"
    @click="toggleMenu()"
    :disable="items.length < 1"
  >
    <q-menu
      fit
      transition-show="scale"
      transition-hide="rotate"
    >
      <q-list style="min-width: 100px">
        <q-item clickable v-for="item in items" @click="change(item)" :key="item.id">
          <q-item-section>{{item.name}}</q-item-section>
        </q-item>
      </q-list>
    </q-menu>
  </q-btn>
</template>

<script>
import {mapMutations,mapState} from "vuex";

export default {
  name: "SwitchCompany",

  data(){
    return {
      open: false,
    }
  },
  methods:{
    ...mapMutations('auth',{
       changeCompany: 'changeCompany'
    }),
    toggleMenu(){
      this.open = !this.open;
    },
    change(company){
      this.changeCompany(company);
      this.$eventManager.$emit('change:company',company);
    }
  },
  computed:{
    ...mapState('auth',{
      company:  'currentCompany',
      companies:  'companies'
    }),

    items(){
      return this.companies.filter((row) => row.id !== this.company.id)
    }
  }
}
</script>

<style scoped>

</style>
